IncidentPermissionSetResources
Creates an incident_permission_set_resource
Creates a new incident_permission_set_resource from provided data
POST
/
v1
/
incident_permission_sets
/
{incident_permission_set_id}
/
resources
Creates an incident_permission_set_resource
curl --request POST \
--url https://api.rootly.com/v1/incident_permission_sets/{incident_permission_set_id}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_permission_set_resources",
"attributes": {
"incident_permission_set_id": "<string>",
"private": true,
"resource_id": "<string>",
"resource_type": "<string>",
"severity_params": {
"fully_enabled": true,
"create_enabled": false,
"applies_to_unassigned": true,
"severity_ids": [
"<string>"
]
}
}
}
}
'import requests
url = "https://api.rootly.com/v1/incident_permission_sets/{incident_permission_set_id}/resources"
payload = { "data": {
"type": "incident_permission_set_resources",
"attributes": {
"incident_permission_set_id": "<string>",
"private": True,
"resource_id": "<string>",
"resource_type": "<string>",
"severity_params": {
"fully_enabled": True,
"create_enabled": False,
"applies_to_unassigned": True,
"severity_ids": ["<string>"]
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_permission_set_resources',
attributes: {
incident_permission_set_id: '<string>',
private: true,
resource_id: '<string>',
resource_type: '<string>',
severity_params: {
fully_enabled: true,
create_enabled: false,
applies_to_unassigned: true,
severity_ids: ['<string>']
}
}
}
})
};
fetch('https://api.rootly.com/v1/incident_permission_sets/{incident_permission_set_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "incident_permission_set_resources",
"attributes": {
"incident_permission_set_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"private": true,
"resource_id": "<string>",
"resource_type": "<string>"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieves an incident_permission_set_resourceRetrieves a specific incident_permission_set_resource by id
Next
⌘I
Creates an incident_permission_set_resource
